.gameContainer {
	width: 100vw;
	height: 100vh;
	background-color: darken(skyblue, 20%);
}

.viewport {
	position: relative;
	width: 100%;
	height: 100%;
	overflow: hidden;
}

.camera {
	position: absolute;
	transform-style: preserve-3d;
	top: 50%;
	left: 50%;
	transition: 0.1s ease;
}

.level {
	position: absolute;
	left: 50%;
	top: 50%;
	transform-style: preserve-3d;
	transition: 0.1s transform;
	will-change: transform;
	image-rendering: pixelated;
}

.joystickUp {
	position: fixed;
	bottom: 10vmin;
	right: 0;
	width: 25vmin;
	height: 25vmin;
}

.joystickMove {
	position: fixed;
	bottom: 10vmin;
	left: 0;
	width: 25vmin;
	height: 25vmin;
}

.joystickPan {
	position: fixed;
	width: 20vmin;
	height: 20vmin;
	opacity: 1;
	border-radius: 100%;
	border: 1em solid rgba(255, 255, 255, 0.5);
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
	pointer-events: none;
	opacity: 0;
	transition: opacity 0.25s ease;
}

.joystickPanVisible {
	opacity: 1;
}

.moveIcon {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 50% !important;
	height: 50%;
	opacity: 0.4;
}

.blockContainer {
	position: absolute !important;
    display: flex;
    bottom: 1vmin;
    left: 0;
    z-index: 100;
    width: 100%;
    justify-content: center;	
}

.menu {
	position: fixed;
	top: 0;
	left: 0;
}

.menuItems {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
}

.menuItems > * {
	background: rgba(0,0,0,0.25);
	padding: 0.25em;
	margin: 0.1em 0;
	cursor: pointer;
}
